/* ANYLOC REXX */                /* locate of multiple strings         */
parse arg input                  /* get entire argument string         */
input = strip(input)             /* clean up input                     */
parse var input col target       /* separate the column range ('col')  */
                                 /* from the targets                   */
if 1 <> datatype(col,N),         /* if 'col' is not numeric.....the    */
then do
  target = input                 /* entire input contains the targets  */
  col = ''                       /* and the column range is a null     */
end
parse var target del+1 target    /* take first char as the delimiter   */
core = ''                        /* init the pipeline                  */
label = '*.input.0:'             /* first pipeline's input is *:       */
do i = 1 while target ^= ' '     /* do if 'target' is not empty and    */
                                 /* increment 'i' to use in label      */
  parse var target str (del) target
                                 /* get a string 'str' for locate      */
                                 /* and keep the remainder in 'target' */
  core = core '?'label''        /* add the from stage to the pipeline */
  label = 'l'i':'                /* reset 'label' to the new value     */
  core = core label 'locate' col del || str || del 'f:'
                                 /* add the label to the pipeline      */
                                 /* with the LOCATE command and        */
                                 /* the input to FANINANY (f:)         */
end                              /* Do i=1..                           */
'maxstream output'               /* see if there is a secondary        */
If RC=0                          /* output                             */
then addl=''                     /* if not, add a null                 */
                                 /* if so, send residue out it         */
else addl='?'label'*.output.1:'
                                 /* Attach the front and               */
'callpipe (end ? stagesep B5) f:faninany*:' core  addl
                                 /* run the pipe                       */
exit rc
